LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XEventsSupplier Interface Referencepublished

gives access to a list of URLs bound to events of this object More...

`import"XEventsSupplier.idl";`

Inheritance diagram for XEventsSupplier:

## Public Member Functions
com::sun::star::container::XNameReplace | getEvents ()
| offers a list of event handlers which are be bound to events of this object More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to a list of URLs bound to events of this object

Developers Guide
  OfficeDev - Component - Models - XEventsSupplier

## Member Function Documentation

## ◆ getEvents()

com::sun::star::container::XNameReplace getEvents | ( |  | ) |

offers a list of event handlers which are be bound to events of this object

Returns
  an Events description object

The documentation for this interface was generated from the following file:

- com/sun/star/document/XEventsSupplier.idl